Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.jmx.mbeans
Interface UserSessionRuntimeMBean

    public interface UserSessionRuntimeMBean

`UserSessionRuntimeMBean` provides the ability to expose UserSession information's attributes and operations.

Method Summary
`UserSession[]` | `getAllUserSessions()` Gets all UserSessions information.
`java.lang.String` | `getHttpSessionID(java.lang.String usID)` Gets the `HttpSession`'s ID associated with the specified `UserSession` ID.
`int` | `getSessionTimeout()` Gets the UserSession's default timeout value of server.
`UserSession[]` | `getUserSessionsByUser(java.lang.String userName)` Gets all UserSessions information according to the specified User.
`void` | `removeAllUserSessions()` Removes all UserSessions of the associated server.
`void` | `removeUserSessionBySessionID(java.lang.String sessionID)` Removes UserSession by its sessionID.
`void` | `removeUserSessionsByUserID(java.lang.String userID)` Removes all UserSessions associated to the specified userID.
`void` | `setSessionTimeout(int sessionTimeout)` Sets the UserSession's default timeout value to server.

Method Detail

### getSessionTimeout

    int getSessionTimeout()

  Gets the UserSession's default timeout value of server.

  Returns:
    the UserSession's default timeout value.

### setSessionTimeout

    void setSessionTimeout(int sessionTimeout)

  Sets the UserSession's default timeout value to server.

  Parameters:
    `sessionTimeout,` - the new value of UserSession's timeout.

### getAllUserSessions

    UserSession[] getAllUserSessions()

  Gets all UserSessions information.

  Returns:
    all UserSessions information.

### getUserSessionsByUser

    UserSession[] getUserSessionsByUser(java.lang.String userName)

  Gets all UserSessions information according to the specified User.

  Parameters:
    `userName,` - the specified User Name.
  Returns:
    all UserSessions information according to the specified User.

### removeUserSessionBySessionID

    void removeUserSessionBySessionID(java.lang.String sessionID)

  Removes UserSession by its sessionID.

  Parameters:
    `sessionID,` - the specified sessionID.

### removeUserSessionsByUserID

    void removeUserSessionsByUserID(java.lang.String userID)

  Removes all UserSessions associated to the specified userID.

  Parameters:
    `userID,` - the specified userID.

### removeAllUserSessions

    void removeAllUserSessions()

  Removes all UserSessions of the associated server.

### getHttpSessionID

    java.lang.String getHttpSessionID(java.lang.String usID)

  Gets the `HttpSession`'s ID associated with the specified `UserSession` ID.

  Parameters:
    `usID,` - the specified UserSession's ID.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD